Name: openttd
Version: 0.5.1
Release: alt1.RC2

Summary: An open source clone of the Microprose game "Transport Tycoon Deluxe".
License: GPL
Group: Games/Strategy
URL: http://www.openttd.com/
Requires: TiMidity++
Requires: fonts-ttf-dejavu

Source: %name-%version-RC2-source.tar.bz2

Patch0: %name-%version-alt-fonts.patch

BuildRequires: libSDL-devel libpng-devel libfreetype-devel fontconfig-devel gcc-c++

%description
An open source clone of the Microprose game "Transport Tycoon Deluxe".

You need following files from TTD Win version:
  - sample.cat
  - trg1r.grf
  - trgcr.grf
  - trghr.grf
  - trgir.grf
  - trgtr.grf

To play music tracks you need files from gm directory

%prep
%setup -q -n %name-%version-RC2
%patch0 -p1

%build
./configure \
    --debug=no \
    --with-sdl \
    --with-png \
    --with-freetype \
    --with-fontconfig \
    
%make_build WITH_SDL=1 UNIX=1 RELEASE=%version INSTALL=1 WITH_NETWORK=1 \
    USE_HOMEDIR=1 VERBOSE=1 PERSONAL_DIR=.%name \
    PREFIX=%_prefix DATA_DIR=share/games/%name \
	
%install
%__mkdir_p %buildroot%_prefix/games
%__mkdir_p %buildroot%_datadir/games/%name/gm
%__mkdir_p %buildroot%_datadir/games/%name/lang
%__mkdir_p %buildroot%_man6dir

%__install -m755 -s %name %buildroot%_prefix/games/%name
%__cp -a data %buildroot%_datadir/games/%name
%__cp -a lang/*.lng %buildroot%_datadir/games/%name/lang
%__chmod -x %buildroot%_datadir/games/%name/data/*

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="x11" section="Games/Strategy" \
title="OpenTTD" longtitle="Open Transport Tycoon Deluxe" \
command="%_prefix/games/%name -m extmidi" icon=%name.png
__MENU__
%__install -pD -m644 %name.menu %buildroot%_menudir/%name
# icons
%__install -pD -m644 media/%name.16.png %buildroot%_miconsdir/%name.png
%__install -pD -m644 media/%name.32.png %buildroot%_iconsdir/%name.png
%__install -pD -m644 media/%name.48.png %buildroot%_liconsdir/%name.png
%__install -pD -m644 docs/%name.6 %buildroot%_man6dir/

%post
%update_menus

echo ""
echo "				WARNING!"
echo "There are hardcoded DejaVu fonts in the sources."
echo "You can change them after first run (in the ~/.openttd/openttd.cfg)."
echo ""
%postun
%clean_menus

%files
%doc docs/* scenario scripts readme.txt known-bugs.txt changelog.txt BUGS COPYING
%_prefix/games/%name
%_datadir/games/%name
%_menudir/%name
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_man6dir/*

%changelog
* Fri Mar 23 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.5.1-alt1.RC2
- Bugfix RC2
- Spec cleanups

* Thu Mar 01 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.5.0-alt2
- Release

* Sun Feb 04 2007 Andrew Kornilov <hiddenman@altlinux.ru> 0.5.0-alt1.svn8588
- New version from SVN
- Updated buildreqs
- Spec cleanups
- Correct man placement
- New patch (use correct, but hardcoded fonts)
- Added missed docs

* Fri Oct 06 2006 Damir Shayhutdinov <damir@altlinux.ru> 0.4.8-alt1
- 0.4.8
- Updated buildreqs.

* Thu Jan 27 2005 Kachalov Anton <mouse@altlinux.ru> 0.3.6-alt1
- 0.3.6
  + some scenarios in docs/scenario
  + scripts example in docs/scripts

* Tue Dec 28 2004 Kachalov Anton <mouse@altlinux.ru> 0.3.5-alt1
- 0.3.5

* Wed Jun 09 2004 Kachalov Anton <mouse@altlinux.ru> 0.3.2.1-alt1
- first build for Sisyphus
